Page MenuHomePhabricator

Create language stickers for international events
Closed, ResolvedPublic

Description

Per @Whatamidoing-WMF idea, the goal is to have a way to identify attendees language skills in an event, based on Babel boxes.

Some pre-printed stickers may be the best solution: any language can be filled by handwriting. Two slots are provided: one for ISO code for quick reading and an other for language name to avoid confusions (example: "br" is not for "Brazilian" (pt-br) but Breton).

Idea:


Meta and international design used on most wikis:

Source:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 3 2016, 11:48 AM
Qgil added a subscriber: Rfarrand.Mar 3 2016, 1:50 PM
Trizek-WMF triaged this task as Normal priority.Mar 3 2016, 4:12 PM

Updated version, with all colors picked from the current Babel boxes (documentation is not up to date on en.wp):

Whatamidoing-WMF added a comment.EditedMar 3 2016, 5:03 PM

I like these.

Do we want -0, saying "I don't understand _____"? Should the -N for native speakers be upper case or lower case?

I also like the idea of fully pre-printing some common ones, such as French. That might save people some time, and reduce the number of people who are scrambling for ink pens.

I think we should try to provide a full set of translations for common languages. If Wikimedia France hosts an event, then they might prefer to use stickers that say "I have a basic knowledge of" in French rather than in English.

I like these.

Do we want -0, saying "I don't understand _____"?

That may be noisy? An additional information with no real added value.

Should the -N for native speakers be upper case or lower case?

Uppercase it is on wikis.

I also like the idea of fully pre-printing some common ones, such as French. That might save people some time, and reduce the number of people who are scrambling for ink pens.

The pre-printed ones where not in my mind. On an event like Hackathon or Wikimania, you always find a pen, or you have markers pens at the welcome desk to fill your badge.

I think we should try to provide a full set of translations for common languages. If Wikimedia France hosts an event, then they might prefer to use stickers that say "I have a basic knowledge of" in French rather than in English.

I work in SVG. I can upload this file to Commons when it will be clean and final, and then it can be translated.

SVG is quite ready. Sent it to @Quiddity for tests.

I need now to find a reference of an international format of stickers, in order to allow people to just print the stickers on the right sheet template.

In the US and Canada, you want to follow the templates for Avery 5160 mailing labels. These have three columns x ten rows = 30 labels per 8.5"x11" page. The individual labels themselves are 2.625 inches across x 1 inch tall. This is the size you will be given in the US if you go to an office supply store and say that you need "regular" mailing labels.

I believe that, in Australia, most people would want Avery L7157GU (three columns x 11 rows = 33 per A4 page). The individual labels themselves are 64 mm across x 24.3 mm tall. (If there is a more popular format, then I would use that.) The most useful thing to do is to find out what size mailing labels are most common in a region, and make it match that.

Trizek-WMF added a comment.EditedMar 7 2016, 2:44 PM

In the US and Canada, you want to follow the templates for Avery 5160 mailing labels. These have three columns x ten rows = 30 labels per 8.5"x11" page. The individual labels themselves are 2.625 inches across x 1 inch tall. This is the size you will be given in the US if you go to an office supply store and say that you need "regular" mailing labels.

I believe that, in Australia, most people would want Avery L7157GU (three columns x 11 rows = 33 per A4 page). The individual labels themselves are 64 mm across x 24.3 mm tall. (If there is a more popular format, then I would use that.)

I've tried to find information for Europe, and the most common stickers are 33,9 mm height x 63,5 mm width. That's is very convenient. :/

The most useful thing to do is to find out what size mailing labels are most common in a region, and make it match that.

Or print a sheet of stickers on a not pre-cutted A4 sticky sheet and have a pair of scissors.

I would just stick to one size of labels and see if there is a need for more later, Most office supply stores I found are pretty good if you ask if you can find labels based on the Avery product codes

I would just stick to one size of labels and see if there is a need for more later, Most office supply stores I found are pretty good if you ask if you can find labels based on the Avery product codes

To have a test, I've been to a stationary shop, and it is not possible for them to order US mailing stickers. It is really difficult.
I'm looking for a way to have an internationalized solution.

Qgil added a subscriber: Qgil.Mar 8 2016, 3:47 PM

Two templates, one for each size?

Absolutely possible.

Trizek-WMF lowered the priority of this task from Normal to Low.Mar 23 2016, 11:40 AM
Qgil added a comment.Apr 12 2016, 7:20 PM

If this task wants to be completed by Wikimania-Hackathon-2016 , then it should be in Developer-Advocacy (Apr-Jun-2016). Otherwise, let's detach it from the next Wikimania.

I don't have particular opinions regarding the appropriate tags. I just need to find time to finish that SVG and upload it on Commons :)

Qgil added a comment.Apr 12 2016, 7:38 PM

The description talks about "pre-printed", and this means some planning and budget beyond the SVG if we want to do this for the Wikimania hackathon..

@Trizek-WMF, we can have budget to print these stickers for the Wikimania hackathon (and the CE community village stand?). Please coordinate with @Rfarrand for the production of the stickers.

Trizek-WMF added a comment.EditedApr 13 2016, 8:23 AM

By pre-print, I mean to have a file ready to be printed if the organization wants to give pre-printed stickers to attendees in an event, not printing these ourselves (or pay for it). But print some stickers would be very cool :)

Elitre added a subscriber: Elitre.Apr 13 2016, 8:57 AM

Ask the Wikimania team if they have already something? It may be hard for them to adapt your template later if they're working on a unique design for all printed materials (dunno if it's the case, just thought I'd mention it.)

Dunno who's doing what, try wikimania2016@wikimedia.it.

Didn't happen in Wikimania.

Elitre added a comment.Jul 6 2016, 6:24 AM

I believe it'd be more savvy if we just made this a recommendation to hosts of future events.

Trizek-WMF removed Trizek-WMF as the assignee of this task.Jul 6 2016, 11:20 AM
Trizek-WMF raised the priority of this task from Low to Needs Triage.
Trizek-WMF changed the task status from Open to Stalled.

I believe it'd be more savvy if we just made this a recommendation to hosts of future events.

Yep. I've discussed about that with Wikimania 2017 organizers.
It would be sweet to have it printed as goodies by the WMF.

I'm stepping back from that task. If anyone wants the source file, please contact me.

Qgil changed the task status from Stalled to Open.Jul 6 2016, 11:46 AM
Qgil triaged this task as Low priority.Jul 6 2016, 11:55 AM
Qgil added a comment.Sep 27 2016, 2:26 PM

Is this something we should try at the Wikimedia-Developer-Summit (2017) ?

Comms will be coming back with a badge design shortly.

I am afraid that we did not ask for languages from people in the registration form so it would need to be either write on or a sticker that they could stick on the plastic part of their badge.

Lets see what the design is and how friendly it will be for added stickers. Since this event will be in the US, the majority of participants will be WMF staff (who speak english) and the conference will be completely in English maybe we can see if @Claudia.Garad & WMAT are willing to be the test cases in Vienna?

@Trizek-WMF or @coren - do you happen to know what the plan for 2017 Wikimania is in this regard?

Thanks!

OK, I agree that the Summit is not the best place to try this experiment for the first time. I am moving this task to #dr-jan-17 because that is the timeline to work on this task if we want to complete it for Wikimedia-Hackathon-2017-Organization.

we did not ask for languages from people in the registration form so it would need to be either write on or a sticker that they could stick on the plastic part of their badge.

Random anecdotes:
Let people decide themselves whether to add stickers to their badge (but: badge design must allow that). Make stickers available at the venue if wanted. Whether those stickers describe language skills or just display unicorn kittens. The last conference I attended had a dedicated booth to drop and share stickers, some of them small enough to allow personalizing attendees' badges.
Attendees at Mozilla Summit 2013 got handed out a permanent marker and a set of stickers together with the attendee badge; some stickers had preprinted common ISO-639 language codes while others were empty.

Do you think you could find photos of how those stickers were used @Aklapper ? Id be interested!

@Rfarrand:

  • Stickers for the fun of having random stickers that random folks brought to the conf and put it on the table: It's really only about leaving enough free space on badges. For example, zoom in on this photo to find unicorns.
  • Stickers everybody received at Mozilla Summit 2013 registration (plus a permanent marker):
Qgil added a comment.Dec 20 2016, 2:47 PM

This task needs an owner in order to be committed to Developer-Advocacy (Jan-Mar-2017). Any volunteers?

The name badges have two sides with identical name / affiliation information. One side has an "interests" fill in the blank section and the other side has a "language" fill in the blank section.
If someone wants to take on getting stickers like this before Dev Summit as well I am fully in support.

I would love to see Comms dealing with it, to have it as goodies for international events.

What about "Programming language" stickers? I think for hackathon they are more useful.

Qgil added a comment.Dec 21 2016, 9:55 AM

I wouldn't touch anything for the Summit at this point. This task is associated with Wikimedia-Hackathon-2017-Organization. We don't need to decide right now, but basically the question is: if we want this task to be completed by the Wikimedia hackathon, we need an owner for it. Otherwise, we will leave it for later, or we will set Lowest / Declined.

What about "Programming language" stickers? I think for hackathon they are more useful.

You can have a PY-3 if you have an advanced knowledge of Python. :)

Is there anyone who is willing to help compile a list of all the verbal (and sign) and programing languages that we should have stickers for? If yes, I can take the next step and ask comms if they are willing to design something for is. I am not sure we will get things printed in time for the dev summit - but people have fill-in-the-blank sections on their name badges specifically to write these types of things (and anything else) in that they like.
For the dev summit I will make a few signs suggesting that people add both types of language to their badges with pen.

While human langs have 2-3 chars in ISO639 (zh, en, es, ar, hi, pt, ru, bn, ms, fr, de, ur, pa, ja, sw, te, it, jv, ta, ____), I don't think we can always easily squeeze our programming + markup langs (PHP, CSS, LESS, JS, Objective-C, Java, Python, Lua, C++, C#, Ruby, Perl, Templates, wikitext, ____).

Are those two comprehensive enough lists for now?

Yes. Everything else is covered by ____ that people can fill in. :)

@intracer Oh cute! I like it!

I am guessing we wont have stickers by the summit (6 working days between now and then)

But! CCing @ZMcCune & @Heather ! Zack/Heather: Any chance that comms can work on small language stickers and small programming language stickers that people can stick on their name badge stickers at future conferences? Probably starting with the Vienna Hackathon in May?

But! CCing @ZMcCune & @Heather ! Zack/Heather: Any chance that comms can work on small language stickers and small programming language stickers that people can stick on their name badge stickers at future conferences? Probably starting with the Vienna Hackathon in May?

Nono, nothing needs to be designed.
We want to use the existing Babel design because it is recognizable to all wikimedians. @Trizek-WMF already made a workable PNG template based on that, linked at top of this thread. He also has an SVG version, but I don't know where that is stored?

I believe we just need help adapting that [SVG/PNG] so that it is easy to print in various countries, either using a home-printer and blank sticker sheets (paper/sticker sizes vary, internationally), or professional local small-run printers. And then someone needs to test it. That's it!

Oh interesting. OK... I can just give the same small company who is printing our name badge this information and then see if they can get it done. Not sure yet, but I think we have enough budget wiggle room to handle this if the timing on their side works..
Thanks for explaining it to me. :D

Would I just send this webpage to the printers?
https://phab.wmfusercontent.org/file/data/j2znndp3qzs5uypks5qf/PHID-FILE-mcmiudsfdfesqpa5x266/preview-language_codes_stickers_expanded.png

Or is there an actual design file I can send them somewhere?

Sadly I am not sure what "I believe we just need help adapting that [SVG/PNG] so that it is easy to print in various countries" means but I am hoping that the designers can handle this. Or is that something that comms should help with instead?

If someone can confirm the file and then I can make progress. I would guess that if we don't do this by tomorrow its not going to happen for the Dev Summit - but after reading through this thread again it looks like we already agreed that Vienna would be the best place to start AND we do already have fill in the blanks for languages and interests. In addition I will be making signs urging people to add both their verbal and programming language.

Qgil added a comment.Dec 23 2016, 8:47 AM

I'm sorry if I confused you. I was only asking for an owner of this task, thinking of Developer-Advocacy (Jan-Mar-2017) and Wikimedia-Hackathon-2017-Organization , not for now and the Summit.

OK, we are just going to go with that. Maybe @Trizek-WMF and I can sync up at our team offsite and work through all the remaining questions so this is just a slam-dunk (American Basketball reference) for the Vienna Hackathon. :)

Qgil assigned this task to Rfarrand.EditedJan 7 2017, 2:05 PM
Qgil moved this task from Backlog to Ready to Go on the Developer-Advocacy (Jan-Mar-2017) board.

I guess all this means that this task is effectively assigned to @Rfarrand? If not, please pass the ball (another sports reference, not so impressive) to another assignee.

No worries, I will get the ball rolling on this one. After the developer summit the gloves are coming off and we will knock it out of the park.

Trizek-WMF updated the task description. (Show Details)Jan 9 2017, 3:25 AM

@Trizek-WMF, boo! I meant to ask you about this in person. Basically I still need some help figuring out how we accomplish this with whatever files you have or if we need help from designers or what. Id prefer to understand all of that and get moving sooner rather than later so we don't miss Vienna! :)

@Trizek-WMF, boo! I meant to ask you about this in person. Basically I still need some help figuring out how we accomplish this with whatever files you have or if we need help from designers or what. Id prefer to understand all of that and get moving sooner rather than later so we don't miss Vienna! :)

The blocker is to find a way to print the SVG linked in the description. Or one language lever by sheet.

Qgil added a comment.Apr 19 2017, 3:23 PM

WMAT are printing stickers but based on the WMDE's Wikimedia Conference design, not this design. I think their design solution is better. Should we mark this task as Resolved?

WMAT are printing stickers but based on the WMDE's Wikimedia Conference design, not this design. I think their design solution is better. Should we mark this task as Resolved?

No. The design chosen by WMDE and WMAT doesn't take language fluency into consideration, which is a potential blocker for some attendees. But I don't think this task should still be assigned to Rachel.

Qgil added a comment.EditedApr 20 2017, 11:54 AM

Do you really think that someone is going to read in detail the level of knowledge of a language in your badge and, based on the values, start a conversation with you or not?

Also, defining those levels sets a higher entry barrier and creates other collateral dynamics (my Italian is probably too bad to even mention it, my German is better than yours, etc) that I am not sure really help the ultimate goal, which is to favor communication between people.

When it comes to work assigned to our team, I think making sure that the "hexagon stickers" are available in our events is enough and the best approach. They are easy and fun to use, they are visible on the spot, and they are casual enough not to be taken too seriously i.e. by newcomers.

Trizek-WMF closed this task as Resolved.Apr 20 2017, 4:20 PM

Do you really think that someone is going to read in detail the level of knowledge of a language in your badge and, based on the values, start a conversation with you or not?

Yes. And adapt the conversation at least.

Also, defining those levels sets a higher entry barrier and creates other collateral dynamics (my Italian is probably too bad to even mention it, my German is better than yours, etc) that I am not sure really help the ultimate goal, which is to favor communication between people.

I disagree: it is a way for people to understand that others don't have the same level of understanding concerning languages, especially native English speakers. Also, it is a way to engage a conversation ("oh, you speak Klingon! I've studied it at school".

When it comes to work assigned to our team, I think making sure that the "hexagon stickers" are available in our events is enough and the best approach. They are easy and fun to use, they are visible on the spot, and they are casual enough not to be taken too seriously i.e. by newcomers.

Hexagon stickers are a good start. I agree concerning the seriousness, and also think they can be hacked. So, okay, let's close then. We can reopen when we will have to upgrade the system.

Qgil awarded a token.Apr 20 2017, 6:29 PM